=== debian/changelog ===
lmath (0.0.1) stable; urgency=low

  * Initial Release.

 -- Borisov Alexey <borisov@lcard.ru>  Sat, 31 Mar 2012 12:25:54 +0400
